CPU_INITCLOCKS(9) | Kernel Developer's Manual | CPU_INITCLOCKS(9)

# NAME

`cpu_initclocks` —
machine-dependent clock setup interface

# SYNOPSIS

`#include <sys/systm.h>`

void
`cpu_initclocks`(void);

# DESCRIPTION

`cpu_initclocks`() is invoked by `initclocks`() during system bootstrap, immediately after autoconfiguration, to perform the machine-dependent initialization of clock frequencies and start the real-time and statistic clocks running.

# CODE REFERENCES

Machine-independent clock interface operations are performed within the file sys/kern/kern_clock.c.

# SEE ALSO

autoconf(9)

May 24, 2002 | NetBSD 9.4